Skip to navigation

Members Suspend

View as Markdown

Suspend a member from a team.

Permission : Team member management

Exactly one of team_member_id, email, or external_id must be provided to identify the user account.

Required scope: members.write

Endpoint format: RPC

Authentication: Team

Authentication

AuthorizationBearer

Team-level OAuth 2.0 token issued to a Dropbox Business admin. Use Authorization: Bearer <token>.

Obtain via the authorization code flow with team-scoped permissions.

Grants access to team-wide administrative operations.

You can generate a short-lived access token from the App Console; see Testing with a generated token.

Request

This endpoint expects an object.
userobjectRequired

Identity of user to remove/suspend/have their files moved.

Variant:
team.UserSelectorArg.team_member_idobjectRequired
wipe_databooleanOptionalDefaults to true
If provided, controls if the user's data will be deleted on their linked devices.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response (no content)

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error